<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Log Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Log.html">Ogre::Log</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#4af71adcded1cde866f7163855c509cc">addListener</a>(LogListener *listener)</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#69b305f436e85b592fcd34d5b6ee349f">getLogDetail</a>() const </td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#2d0c4e75fffdb5253da3f77a29616299">getName</a>() const </td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#28325483f288f968165ba60866b53fb7">isDebugOutputEnabled</a>() const </td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#c6e9cc4e56ce4ead8df405d4769a9cae">isFileOutputSuppressed</a>() const </td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#3aff6b56352d8bc30c568c5bdffb2919">Log</a>(const String &amp;name, bool debugOutput=true, bool suppressFileOutput=false)</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#41ad772d673872b2bbbf87f1f7c52eca">logMessage</a>(const String &amp;message, LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#8896298fa5bdf39d3f934dcf2114807c">mDebugOut</a></td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#27317cd9c0fd2f8f2a644cb3f0cb6871">mfpLog</a></td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#b857a5ace7e3d4443c8843d627a56236">mListeners</a></td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#ba7baa59f25ba35881b3aa76f2bb5abe">mLogLevel</a></td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#ec421acbf213e4363fec4d616d7045e9">mLogName</a></td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#5b32d16e927bede371262a2c1765c4c1">mSuppressFile</a></td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#4d3e5e3a53516afde538e8d7891333e0">mtLogListener</a> typedef</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#84bf292947fed5a3760a78c391f0484c">removeListener</a>(LogListener *listener)</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#c374d185fe0498956e466f21916679d8">setDebugOutputEnabled</a>(bool debugOutput)</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#754bd94c0f311c333bf0eb4ae9bcdf8d">setLogDetail</a>(LoggingLevel ll)</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#7d36bb9b3f6f6890dd78ae503b6ce349">~Log</a>()</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:17 2008
</p>
</body>
</html>
